## gmp-gcc4 6.1.0%2Bdfsg

=== debian/changelog ===
gmp-gcc4 (2:6.1.0+dfsg-2ubuntu5) xenial; urgency=medium

  * Strip -Wdate-time from the default CPPFLAGS when building with GCC 4.7,
    since it doesn't have that warning option.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Apr 2016 13:16:18 +0100

gmp-gcc4 (2:6.1.0+dfsg-2ubuntu4) xenial; urgency=medium

  * Drop Provides from libgmpv4-dev; these aren't needed and create
    ambiguous build-dependency resolutions.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Apr 2016 11:50:21 +0100

gmp-gcc4 (2:6.1.0+dfsg-2ubuntu3) xenial; urgency=medium

  * Build using GCC 4.7 on all architectures except ppc64el. While libgmpxxv4-4
    currently only has a dependency on libstdc++6 (>= 4.4.0), there is no
    guarantee that this won't require a version >> 4.7 in the feature.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Dec 2015 13:57:44 +0100

gmp-gcc4 (2:6.1.0+dfsg-2ubuntu2) xenial; urgency=medium

  * For use in gcc-4.7, build a GCC 4.x compatible shared libgmpxxv4-4
    with -D_GLIBCXX_USE_CXX11_ABI=0.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Dec 2015 15:39:55 +0100

gmp (2:6.1.0+dfsg-2) unstable; urgency=medium

  * libgmp10.symbols: mark __gmpn_clz_tab as optional -- it is
    architecture dependent and just changed from defined to undefined for
    armel and armhf.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Nov 2015 05:12:15 -0600

gmp (2:6.1.0+dfsg-1) unstable; urgency=medium

  * New upstream.
    - patches/arm-asm-nothumb.patch:
    - patches/4a6d258b467f.patch: Remove.  Applied upstream.

  * libgmp10.symbols: updated for new release.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Nov 2015 11:14:18 -0600

gmp (2:6.0.0+dfsg-7) unstable; urgency=medium

  * control: Drop recommends libstdc++ (Closes: #781196).  Suggest gmp-doc
    (Closes: #735545).

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Jul 2015 16:51:16 -0500

gmp (2:6.0.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Use filter instead of finstring (Closes: #758438)

 -- Aron Xu <aron@debian.org>  Mon, 18 Aug 2014 03:39:42 +0800

gmp (2:6.0.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Update symbols and pass ABI=64 for mips64(el) (Closes: #748319)
  * Update symbols for powerpcspe (Closes: #750478)

 -- Aron Xu <aron@debian.org>  Sun, 17 Aug 2014 20:38:32 +0800

gmp (2:6.0.0+dfsg-4) unstable; urgency=medium

  * Update symbols for sparc.
  * Update symbols for m68k.
  * Correct alpha symbols.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 08:42:56 +0100

gmp (2:6.0.0+dfsg-3) unstable; urgency=medium

  * Thanks Jordi for awesome NMUs! =)
  * Apply changes from colin/ubuntu:
    - Recommend libstdc++-4.8-dev as a real alternative for the virtual
    libstdc++-dev.
  * Cherry-pick patch from upstream to fix up ppc64el missing
    BMOD_1_TO_MOD_1_THRESHOLD define.
  * Fix up arm64 & ppc64 & ppc64el symbols thanks to Adam Conrad.
  * Update symbols for alpha.
  * Update symbols for sh4.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 03:23:17 +0100

gmp (2:6.0.0+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload. Third time's a charm... I hope.
  * Extend libgmp10.symbols with symbols for all official Debian
    architectures, plus arm64, hppa and sparc64 from debian-ports.org.
  * Revert usage of dpkg-gensymbols -c4, at least for now.

 -- Jordi Mallach <jordi@debian.org>  Sun, 27 Apr 2014 18:50:38 +0200

gmp (2:6.0.0+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arch overrides for three symbols that are not available on
    every architecture, and check they were all available in 5.0.1.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 20:00:14 +0200

gmp (2:6.0.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a .symbols file, as provided by Magnus Holmgren (closes: #745233).
  * Pass -c4 to dpkg-gensymbols to detect future symbol changes.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 16:40:35 +0200

gmp (2:6.0.0+dfsg-2) unstable; urgency=medium

  * patches/arm-asm-nothumb.patch: Don't use assmbly on ARM Thumb
    devices.  Closes: #742814

 -- Steve M. Robbins <smr@debian.org>  Fri, 04 Apr 2014 23:39:40 -0500

gmp (2:6.0.0+dfsg-1) unstable; urgency=medium

  * New upstream.  Closes: #742564.
  
  * copyright: Updated to reflect new dual-licensing (LGPLv3+ or GPLv2+).
    Closes: #741607.

 -- Steve M. Robbins <smr@debian.org>  Mon, 24 Mar 2014 22:14:05 -0500

gmp (2:5.1.3+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * patches/preserve-ia64-registers.patch:
  * patches/mpn_sbpi1_div.patch: Remove.  Applied upstream.

  * control: Update Standards-Version to 3.9.5.
  
  * watch: New watch file from bartm.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Dec 2013 14:51:41 -0600

gmp (2:5.1.2+dfsg-3) unstable; urgency=low

  * patches/mpn_sbpi1_div.patch: New.  Upstream patch to fix computation
    of mpn_sbpi1_div_qr_sec and mpn_sbpi1_div_r_sec.
  
  * Remove lib32gmp* packages.  Closes: #714998.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Sep 2013 13:52:27 -0500

gmp (2:5.1.2+dfsg-2) unstable; urgency=low

  * rules: Install gmp.h into multi-arch include directory.  For
    libgmp32-dev, header installed into /usr/include/gmp32/$(triplet).
    Closes: #675577.

  * rules(lib32gmp-dev): Don't ship libtool .la files.
  
  * Remove lib64gmp* packages.

 -- Steve M. Robbins <smr@debian.org>  Sun, 30 Jun 2013 22:38:49 -0500

gmp (2:5.1.2+dfsg-1) unstable; urgency=low

  * New upstream.
    - reduced SQR_TOOM2_THRESHOLD to 30.  Closes: #706984.
  
  * patches/preserve-ia64-registers.patch: New.  Upstream patch to
    preserve registers.  Closes: #708264.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 May 2013 23:23:44 -0500

gmp (2:5.1.1+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 May 2013 20:38:15 -0500

gmp (2:5.1.1+dfsg-2) experimental; urgency=low

  * rules: Need to set ABI=x32 at configure time.  Closes: #698000.
  

