## gmp-gcc4 6.1.0+dfsg

=== debian/control ===
Source: gmp-gcc4
Homepage: http://gmplib.org/
Section: libs
Priority: optional
Build-Depends: m4, debhelper (>= 9), dpkg-dev (>= 1.16.1~), libgmp-dev, g++-4.7 [!ppc64el]
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gmp/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gmp/trunk/
Standards-Version: 3.9.6

Package: libgmpxxv4-4
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Multiprecision arithmetic library (C++ bindings, GCC 4.x compatible)
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.

Package: libgmpv4-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libgmp10 (>= 2:6.1), libgmpxxv4-4 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgmp3-dev (<< 5.0.1), libgmp10-dev, libgmp-dev
Suggests: gmp-doc, libgmp10-doc, libmpfr-dev
Multi-Arch: same
Description: Multiprecision arithmetic library developers tools (GCC 4.x compatible)
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the libraries
 provided in the libgmp10 package.
 .
 Both C and C++ bindings are present in this package.  Package
 libstdc++-dev is required to use the C++ bindings.  
 .
 The MPFR library (multiple-precision floating-point) used to be
 included, but has since been moved to package libmpfr-dev.
